: Class PageCompileOutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Class PageCompileOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--java.io.ByteArrayOutputStream
                  |
                  +--org.w3c.jigsaw.pagecompile.PageCompileOutputStream

public class PageCompileOutputStream
extends java.io.ByteArrayOutputStream

Fields inherited from class java.io.ByteArrayOutputStream
`buf, count`

Constructor Summary
`PageCompileOutputStream()`

Method Summary
`void` | `print(double i)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(double i)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(java.lang.String s)`
`void` | `writeBytes(java.lang.String s)`

Methods inherited from class java.io.ByteArrayOutputStream
`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageCompileOutputStream

    public PageCompileOutputStream()

Method Detail

### writeBytes

    public void writeBytes(java.lang.String s)
                    throws java.io.IOException

### print

    public void print(int i)
               throws java.io.IOException

### print

    public void print(double i)
               throws java.io.IOException

### print

    public void print(long l)
               throws java.io.IOException

### print

    public void print(java.lang.String s)
               throws java.io.IOException

### println

    public void println()
                 throws java.io.IOException

### println

    public void println(int i)
                 throws java.io.IOException

### println

    public void println(double i)
                 throws java.io.IOException

### println

    public void println(long l)
                 throws java.io.IOException

### println

    public void println(java.lang.String s)
                 throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD